# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1019.1.20 -> 1.1019.1.21
#	drivers/char/Config.in	1.39.1.7 -> 1.39.1.8
#	Documentation/Configure.help	1.166.1.2 -> 1.166.1.3
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/07/29	trini@kernel.crashing.org	1.1019.6.1
# Merge kernel.crashing.org:/home/trini/work/kernel/pristine/linux-2.4-misc
# into kernel.crashing.org:/home/trini/work/kernel/pristine/for-marcelo-ppc
# --------------------------------------------
# 03/07/29	trini@kernel.crashing.org	1.1003.52.2
# PPC32: Correctly set intfreq / busfreq on the Motorola 860FADS.
# Patch from Wade Farnsworth <wfarnsworth@mvista.com>
# --------------------------------------------
# 03/07/29	trini@kernel.crashing.org	1.1019.6.2
# Merge kernel.crashing.org:/home/trini/work/kernel/pristine/linux-2.4-misc
# into kernel.crashing.org:/home/trini/work/kernel/pristine/for-marcelo-ppc
# --------------------------------------------
# 03/07/29	marcelo@freak.distro.conectiva	1.1019.7.1
# Merge bk://ppc.bkbits.net/for-marcelo-ppc
# into freak.distro.conectiva:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/07/29	shmulik.hen@intel.com	1.1040
# [netdrvr bonding] fix ARP monitoring bug
# --------------------------------------------
# 03/07/29	bjorn.helgaas@hp.com	1.1019.1.21
# CONFIG_SERIAL_HCDP documentation and indent fix.
# --------------------------------------------
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Wed Oct  8 09:05:53 2003
+++ b/Documentation/Configure.help	Wed Oct  8 09:05:53 2003
@@ -17512,6 +17512,13 @@
 
   If unsure, say N.
 
+Support for serial port described by EFI HCDP table
+CONFIG_SERIAL_HCDP
+  If you wish to make the serial console port described by the EFI
+  HCDP table available for use as serial console or general
+  purpose port, say Y here. See
+  <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/drivers/char/Config.in b/drivers/char/Config.in
--- a/drivers/char/Config.in	Wed Oct  8 09:05:53 2003
+++ b/drivers/char/Config.in	Wed Oct  8 09:05:53 2003
@@ -18,7 +18,7 @@
       bool '   serial port on GSC support' CONFIG_SERIAL_GSC
    fi
    if [ "$CONFIG_IA64" = "y" ]; then
-      bool 'Support for serial console port described by EFI HCDP table' CONFIG_SERIAL_HCDP
+      bool '  Support for serial port described by EFI HCDP table' CONFIG_SERIAL_HCDP
    fi
    if [ "$CONFIG_ARCH_ACORN" = "y" ]; then
       tristate '   Atomwide serial port support' CONFIG_ATOMWIDE_SERIAL
